Get server details
curl --request GET \
--url https://mcp.runalloy.com/api/servers/{serverId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://mcp.runalloy.com/api/servers/{serverId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://mcp.runalloy.com/api/servers/{serverId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"serverId": "<string>",
"name": "<string>",
"description": "<string>",
"url": "<string>",
"accessUrl": "<string>",
"restrictions": {
"connectors": {
"allowedIds": [
"<string>"
],
"blockedIds": [
"<string>"
]
},
"actions": {
"allowedActions": [
"<string>"
],
"blockedActions": [
"<string>"
]
},
"users": {
"allowedIds": [
"<string>"
],
"blockedIds": [
"<string>"
]
}
},
"hasRestrictions": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Server Management
Get server details
Returns detailed information about a specific server
GET
/
api
/
servers
/
{serverId}
Get server details
Authorizations
Use either an Alloy API key or JWT token
Headers
User ID (optional with API key)
Path Parameters
Server ID
Response
Server details
Unique server identifier
Server name
Server description
Base URL for API-authenticated access
Self-sufficient URL with embedded token
Show child attributes
Show child attributes
Whether server has active restrictions
⌘I

